{lib, ...}:
{
  imports = [
    ./zsh.nix
    ./bash.nix
  ];

  programs.starship = {
    enable = true;
    enableBashIntegration = true;
    enableZshIntegration = true;
    settings = {
      add_newline = false;
      format = lib.concatStrings [
        # "$line_break"
        "$shlvl"
        "$directory"
        "$git_branch"
        "$git_commit"
        "$git_state"
        "$git_status"
        "$package"
        "$status"
        "$character"
      ];
      scan_timeout = 10;
      # character = {
      #   success_symbol = "[%](bold green)";
      #   error_symbol = "[%](bold red)";
      # };
    };
  };
}
